# simplices

## Name

simplices — The top-dimeinsional simplices that form a `dim`-dimensional triangulation

## Synopsis

Content Model

    simplices ::= (simplex*)

Attributes
Name | Type
`size` | NUMBER (required)

## Description

A `simplices` element stores the entire set of top-dimensional simplices that form a `dim`-dimensional triangulation, for dimensions 5 ≤ `dim` ≤ 15.

The total number of simplices must be specified by the `size` attribute. The individual simplices are numbered 0, 1, 2, etc., and their facet gluings are described by the corresponding child `simplex` elements. There must be precisely `size` child `simplex` elements in total.

### Note

The `simplices` element is only for use in higher dimensions 5 ≤ `dim` ≤ 15. For the smaller dimensions 2, 3 and 4, the specialised tags `triangles`, `tetrahedra` and `pentachora` should be used instead.

### Parents

The following elements contain `simplices`: `packet` (`dim`-dimensional triangulation).

### Children

The following elements occur in `simplices`: `simplex`.

## Attributes

`size`

  The total number of top-dimensional simplices in this set. Note that there must be precisely this many child `simplex` elements.

## Example

The following XML snippet represents a 6-dimensional triangulation of the product B5×S1, formed from two 6-simplices.

    <simplices size="2">
      <simplex> 1 14038087 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 1 2054353 </simplex>
      <simplex> 0 14038087 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 -1 0 2054353 </simplex>
    </simplices>